import React from "react";
import styled from "styled-components";

const ToolTip = styled.span`
  background-color: black;
  color: white;
  text-align: center;
  padding: 2px 8px;
  border-radius: 8px;
  position: absolute;
  z-index: 1;
  top: -115%;
  white-space: nowrap;
  transition: opacity 0.25s;
  opacity: ${({ hovered }) => hovered ? 0.75 : 0};
`

export default ({ copied, hovered }) => (
  <ToolTip hovered={hovered}>
    {copied ? "Copied!" : "Click to Copy"}
  </ToolTip>
);
